/*
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.kernel.ws.api;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

/**
 * Remote deployment Service. Handles all the SA operations.
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
@WebService
public interface DeploymentService {

    /**
     * Deploy a SA into the bus
     * 
     * @param saId
     *            the saId of the SA in the artifact repository
     * @return
     */
    @WebMethod
    boolean deploy(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     * Undeploy a Service Assembly from its ID
     * 
     * @param saId
     * @return
     * @throws PEtALSWebServiceException
     */
    @WebMethod
    boolean undeploy(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     * 
     * @param
     * @return
     */
    boolean start(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     * 
     * @param
     * @return
     */
    boolean stop(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

    /**
     * 
     * @param
     * @return
     */
    boolean shutdown(@WebParam(name = "saId") String saId) throws PEtALSWebServiceException;

}
