/*
 * Copyright (c) 2009 EBM Websourcing, http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
package org.ow2.petals.kernel.ws.api;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.namespace.QName;

/**
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
@WebService
public interface MonitoringManagementService {

    @WebMethod
    boolean isMonitoringActive(@WebParam(name = "module") QName module)
            throws PEtALSWebServiceException;

    @WebMethod
    QName[] getMonitoredModules() throws PEtALSWebServiceException;

    @WebMethod(operationName = "activateMonitoringOnModule")
    boolean activateMonitoring(@WebParam(name = "module") QName module)
            throws PEtALSWebServiceException;

    @WebMethod(operationName = "activateMonitoringOnModules")
    boolean activateMonitoring(@WebParam(name = "module") QName[] modules)
            throws PEtALSWebServiceException;

    @WebMethod(operationName = "disableMonitoringOnModule")
    boolean disableMonitoring(@WebParam(name = "module") QName module)
            throws PEtALSWebServiceException;

    @WebMethod(operationName = "disableMonitoringOnModules")
    boolean disableMonitoring(@WebParam(name = "module") QName[] modules)
            throws PEtALSWebServiceException;
}
